{ ... }:
{
  programs.thunderbird = {
    enable = true;
    profiles = {
      Main = {
        isDefault = true;
        userContent = ''
          *{scrollbar-width:none !important}
        '';
        settings = {
          "general.autoScroll" = true;

          "security.mixed_content.block_active_content" = true;
          "security.mixed_content.block_display_content" = true;

          "extensions.enabled" = false;
          "extensions.autoDisableScopes" = 0;
          "extensions.allow-non-mpc-extensions" = false;
          "extensions.installDistroAddons" = false;
          "extensions.getAddons.cache.enabled" = false;
          "extensions.blocklist.enabled" = true;
          "extensions.webextensions.userSelection" = false;
          "extensions.checkCompatibility" = false;
          "extensions.allowRemoteAddons" = false;
          "extensions.ui.enabled" = false;
          "extensions.ui.useSystemTheme" = true;
          "extensions.activeThemeID" = "thunderbird-compact-dark@mozilla.org";

          "privacy.clearOnShutdown.cookies" = true;
          "privacy.clearOnShutdown.cache" = true;
          "privacy.clearOnShutdown.formdata" = true;
          "privacy.clearOnShutdown.siteSettings" = true;
          "privacy.trackingprotection.enabled" = true;
          "privacy.firstparty.isolate" = true;
          "privacy.donottrackheader.enabled" = true;
          "privacy.resistFingerprinting" = true;

          "browser.history.enabled" = false;
          "browser.sessionstore.privacy_level" = 2;
          "browser.tabs.warnOnClose" = false;
          "browser.shell.checkDefaultBrowser" = false;
          "browser.urlbar.suggest.openpage" = false;
          "browser.urlbar.suggest.bookmark" = false;
          "browser.urlbar.suggest.history" = false;
          "browser.urlbar.suggest.searches" = false;
          "browser.urlbar.suggest.topsites" = false;
          "browser.download.promptForDownload" = true;

          "network.cookie.cookieBehavior" = 1;
          "network.dns.dnsOverHttps.enabled" = true;
          "network.http.speculative-parallel-limit" = 0;
          "network.http.pipelining" = false;
          "network.predictor.enabled" = false;
          "network.cookie.lifetimePolicy" = 2;
	};
      };
    };
  };
}
